# sigc::signal< T_return, nil, nil, nil, nil, nil, nil, nil > Class Template Reference

Convenience wrapper for the numbered sigc::signal0 template. More...

`#include <sigc++/signal.h>`

Inheritance diagram for sigc::signal< T_return, nil, nil, nil, nil, nil, nil, nil >:
[legend]

List of all members.

## Classes

class | accumulated
| Convenience wrapper for the numbered sigc::signal0 template. More...

## Public Member Functions

| signal (const signal& src)

## Detailed Description

### template <class T_return>
class sigc::signal< T_return, nil, nil, nil, nil, nil, nil, nil >

Convenience wrapper for the numbered sigc::signal0 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 0 argument(s).